Subject: bug#46990: 28.0.50; popup menu not navigable via arrow keys on lucid build

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Jun 2022 18:54:15 +0300

> Cc: Colin Baxter <[email-masked]>, [email-masked],
>  "Jan D." <[email-masked]>
> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 20 Jun 2022 17:38:55 +0200
> 
> > /* For debug, if installation-directory is non-nil this is not an installed
> >    Emacs.   In that case we do not grab the keyboard to make it easier to
> >    debug. */
> > #define GRAB_KEYBOARD  (EQ (Vinstallation_directory, Qnil))
> >
> > and it's not a bug.
> 
> It's always nice when behaviour like this has a logical explanation.  😀
> 
> But I'm not sure whether we actually want this.  The commit message is
> somewhat vague -- what's the debugging this simplifies?  Is it still
> relevant?  I've added Jan to the CCs; perhaps he remembers the reasoning
> for the 20 year old change:

I think it's better to have a variable that people who need to debug
this code could set.